Delete Supplemental Table

This endpoint is used to delete Supplemental Table objects in Responsys. You can Create Supplemental Tables using the standard API endpoint, see Create supplemental table for more information.

Note: The Responsys Advanced API is generally available for all Responsys customers.

Service URL:

/rest/api/v1.3/folders/{folderName}/suppData/{suppTableName}/table

Required Path Parameters:

folderName – The name of the folder where the supplemental table is located in Responsys.

suppTableName – The name of the Supplemental Table to delete.

Request Method:

DELETE

Request Header:

Authorization=<AUTH_TOKEN>

Content-Type=application/json

Request Body - Required Properties:

Not applicable

Sample Request Body

Not applicable

Sample Response Body - Success

{
  "petName": "Profile_Extension_Table_Name_1",
  "links": [
    {
      "rel": "self",
      "href": "/rest/api/v1.3/lists/Profile_List_Name_1/listExtensions/Profile_Extension_Table_Name_1/table",
      "method": "DELETE"
    }
  ]
}

Sample Response Body - Failure

404 Not Found

Table not found: Requests fail if the table specified in the request does not exist in Responsys. The error resembles:

{
  "type": "",
  "title": "Table not found",
  "errorCode": "TABLE_NOT_FOUND",
  "detail": "No PET Table found for given name [Pet_Name_2]",
  "errorDetails": []
}

List not found: Requests fail if the Profile List specified in the request cannot be found in Responsys. Error resembles:

{
  "type": "",
  "title": "List not found",
  "errorCode": "LIST_NOT_FOUND",
  "detail": "Unable to delete PET, profile list not found.",
  "errorDetails": []
}

PET not associated to list: Requests fail if a valid Profile List is specified, but the Profile Extension Table is not associated to the specified list. The error resembles:

{
  "type": "",
  "title": "Table not found",
  "errorCode": "TABLE_NOT_FOUND",
  "detail": "No PET Table found for given name [PET_Name_1]",
  "errorDetails": []
}